TransactionsApi - interface

export
interface

  TransactionsApiInterface

### Hierarchy

- TransactionsApiInterface

### Implemented by

- TransactionsApi

## Index

### Methods

- getAddressMempoolTransactions
- getAddressMempoolTransactionsRaw
- getDroppedMempoolTransactionList
- getDroppedMempoolTransactionListRaw
- getMempoolTransactionList
- getMempoolTransactionListRaw
- getRawTransactionById
- getRawTransactionByIdRaw
- getTransactionById
- getTransactionByIdRaw
- getTransactionList
- getTransactionListRaw
- getTransactionsByBlockHash
- getTransactionsByBlockHashRaw
- getTransactionsByBlockHeight
- getTransactionsByBlockHeightRaw
- postCoreNodeTransactions
- postCoreNodeTransactionsRaw

## Methods

### getAddressMempoolTransactions

- getAddressMempoolTransactions(requestParameters: GetAddressMempoolTransactionsRequest, initOverrides?: RequestInit): Promise< MempoolTransactionListResponse >

- - Defined in src/generated/apis/TransactionsApi.ts:112

  Get all transactions for address in mempool Transactions for address

  #### Parameters

  - ##### requestParameters: GetAddressMempoolTransactionsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< MempoolTransactionListResponse >

### getAddressMempoolTransactionsRaw

- getAddressMempoolTransactionsRaw(requestParameters: GetAddressMempoolTransactionsRequest, initOverrides?: RequestInit): Promise< ApiResponse < MempoolTransactionListResponse >>

- - Defined in src/generated/apis/TransactionsApi.ts:106

  Get all transactions for address in mempool

  summary

    Transactions for address

  throws

    {RequiredError}

  memberof

    TransactionsApiInterface

  #### Parameters

  - ##### requestParameters: GetAddressMempoolTransactionsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < MempoolTransactionListResponse >>

### getDroppedMempoolTransactionList

- getDroppedMempoolTransactionList(requestParameters: GetDroppedMempoolTransactionListRequest, initOverrides?: RequestInit): Promise< MempoolTransactionListResponse >

- - Defined in src/generated/apis/TransactionsApi.ts:129

  Get all recently-broadcast mempool transactions Get dropped mempool transactions

  #### Parameters

  - ##### requestParameters: GetDroppedMempoolTransactionListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< MempoolTransactionListResponse >

### getDroppedMempoolTransactionListRaw

- getDroppedMempoolTransactionListRaw(requestParameters: GetDroppedMempoolTransactionListRequest, initOverrides?: RequestInit): Promise< ApiResponse < MempoolTransactionListResponse >>

- - Defined in src/generated/apis/TransactionsApi.ts:123

  Get all recently-broadcast mempool transactions

  summary

    Get dropped mempool transactions

  throws

    {RequiredError}

  memberof

    TransactionsApiInterface

  #### Parameters

  - ##### requestParameters: GetDroppedMempoolTransactionListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < MempoolTransactionListResponse >>

### getMempoolTransactionList

- getMempoolTransactionList(requestParameters: GetMempoolTransactionListRequest, initOverrides?: RequestInit): Promise< MempoolTransactionListResponse >

- - Defined in src/generated/apis/TransactionsApi.ts:150

  Get all recently-broadcast mempool transactions Get mempool transactions

  #### Parameters

  - ##### requestParameters: GetMempoolTransactionListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< MempoolTransactionListResponse >

### getMempoolTransactionListRaw

- getMempoolTransactionListRaw(requestParameters: GetMempoolTransactionListRequest, initOverrides?: RequestInit): Promise< ApiResponse < MempoolTransactionListResponse >>

- - Defined in src/generated/apis/TransactionsApi.ts:144

  Get all recently-broadcast mempool transactions

  summary

    Get mempool transactions

  throws

    {RequiredError}

  memberof

    TransactionsApiInterface

  #### Parameters

  - ##### requestParameters: GetMempoolTransactionListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < MempoolTransactionListResponse >>

### getRawTransactionById

- getRawTransactionById(requestParameters: GetRawTransactionByIdRequest, initOverrides?: RequestInit): Promise< GetRawTransactionResult >

- - Defined in src/generated/apis/TransactionsApi.ts:166

  Get raw transaction by ID Get Raw Transaction

  #### Parameters

  - ##### requestParameters: GetRawTransactionByIdRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< GetRawTransactionResult >

### getRawTransactionByIdRaw

- getRawTransactionByIdRaw(requestParameters: GetRawTransactionByIdRequest, initOverrides?: RequestInit): Promise< ApiResponse < GetRawTransactionResult >>

- - Defined in src/generated/apis/TransactionsApi.ts:160

  Get raw transaction by ID

  summary

    Get Raw Transaction

  throws

    {RequiredError}

  memberof

    TransactionsApiInterface

  #### Parameters

  - ##### requestParameters: GetRawTransactionByIdRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < GetRawTransactionResult >>

### getTransactionById

- getTransactionById(requestParameters: GetTransactionByIdRequest, initOverrides?: RequestInit): Promise<object>

- - Defined in src/generated/apis/TransactionsApi.ts:185

  Get a specific transaction by ID `import type { Transaction } from \'@stacks/stacks-blockchain-api-types\';` Get transaction

  #### Parameters

  - ##### requestParameters: GetTransactionByIdRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<object>

### getTransactionByIdRaw

- getTransactionByIdRaw(requestParameters: GetTransactionByIdRequest, initOverrides?: RequestInit): Promise< ApiResponse <object>>

- - Defined in src/generated/apis/TransactionsApi.ts:179

  Get a specific transaction by ID `import type { Transaction } from \'@stacks/stacks-blockchain-api-types\';`

  summary

    Get transaction

  throws

    {RequiredError}

  memberof

    TransactionsApiInterface

  #### Parameters

  - ##### requestParameters: GetTransactionByIdRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <object>>

### getTransactionList

- getTransactionList(requestParameters: GetTransactionListRequest, initOverrides?: RequestInit): Promise< TransactionResults >

- - Defined in src/generated/apis/TransactionsApi.ts:204

  Get all recently mined transactions If using TypeScript, import typings for this response from our types package: `import type { TransactionResults } from \'@stacks/stacks-blockchain-api-types\';` Get recent transactions

  #### Parameters

  - ##### requestParameters: GetTransactionListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< TransactionResults >

### getTransactionListRaw

- getTransactionListRaw(requestParameters: GetTransactionListRequest, initOverrides?: RequestInit): Promise< ApiResponse < TransactionResults >>

- - Defined in src/generated/apis/TransactionsApi.ts:198

  Get all recently mined transactions If using TypeScript, import typings for this response from our types package: `import type { TransactionResults } from \'@stacks/stacks-blockchain-api-types\';`

  summary

    Get recent transactions

  throws

    {RequiredError}

  memberof

    TransactionsApiInterface

  #### Parameters

  - ##### requestParameters: GetTransactionListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < TransactionResults >>

### getTransactionsByBlockHash

- getTransactionsByBlockHash(requestParameters: GetTransactionsByBlockHashRequest, initOverrides?: RequestInit): Promise< TransactionResults >

- - Defined in src/generated/apis/TransactionsApi.ts:222

  Get all transactions in block Transactions in a block

  #### Parameters

  - ##### requestParameters: GetTransactionsByBlockHashRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< TransactionResults >

### getTransactionsByBlockHashRaw

- getTransactionsByBlockHashRaw(requestParameters: GetTransactionsByBlockHashRequest, initOverrides?: RequestInit): Promise< ApiResponse < TransactionResults >>

- - Defined in src/generated/apis/TransactionsApi.ts:216

  Get all transactions in block

  summary

    Transactions in a block

  throws

    {RequiredError}

  memberof

    TransactionsApiInterface

  #### Parameters

  - ##### requestParameters: GetTransactionsByBlockHashRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < TransactionResults >>

### getTransactionsByBlockHeight

- getTransactionsByBlockHeight(requestParameters: GetTransactionsByBlockHeightRequest, initOverrides?: RequestInit): Promise< TransactionResults >

- - Defined in src/generated/apis/TransactionsApi.ts:241

  Get all transactions in block by height Transactions in a block

  #### Parameters

  - ##### requestParameters: GetTransactionsByBlockHeightRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< TransactionResults >

### getTransactionsByBlockHeightRaw

- getTransactionsByBlockHeightRaw(requestParameters: GetTransactionsByBlockHeightRequest, initOverrides?: RequestInit): Promise< ApiResponse < TransactionResults >>

- - Defined in src/generated/apis/TransactionsApi.ts:235

  Get all transactions in block by height

  summary

    Transactions in a block

  throws

    {RequiredError}

  memberof

    TransactionsApiInterface

  #### Parameters

  - ##### requestParameters: GetTransactionsByBlockHeightRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < TransactionResults >>

### postCoreNodeTransactions

- postCoreNodeTransactions(requestParameters: PostCoreNodeTransactionsRequest, initOverrides?: RequestInit): Promise<string>

- - Defined in src/generated/apis/TransactionsApi.ts:257

  Broadcast raw transactions on the network. You can use the @stacks/transactions project to generate a raw transaction payload. Broadcast raw transaction

  #### Parameters

  - ##### requestParameters: PostCoreNodeTransactionsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<string>

### postCoreNodeTransactionsRaw

- postCoreNodeTransactionsRaw(requestParameters: PostCoreNodeTransactionsRequest, initOverrides?: RequestInit): Promise< ApiResponse <string>>

- - Defined in src/generated/apis/TransactionsApi.ts:251

  Broadcast raw transactions on the network. You can use the @stacks/transactions project to generate a raw transaction payload.

  summary

    Broadcast raw transaction

  throws

    {RequiredError}

  memberof

    TransactionsApiInterface

  #### Parameters

  - ##### requestParameters: PostCoreNodeTransactionsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <string>>

Generated using TypeDoc